# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class UserEventEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<UserEventEntry>
                  com.google.gdata.data.youtube.UserEventEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class UserEventEntry

extends BaseEntry<UserEventEntry>

An atom entry containing a user event.

Nested Class Summary
`static class` `UserEventEntry.Type` User event types.

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`UserEventEntry()`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the `ExtensionDescription` of each `Extension` expected by the implementing `ExtensionPoint` in the target profile.
`Rating` `getRating()` Gets the gd:rating tag.
`UserEventEntry.Type` `getUserEventType()` Returns the type of the user event, if it is of a known type.
`java.lang.String` `getUsername()` Get the value of the optional username
`java.lang.String` `getVideoId()` Gets the YouTube ID of the video.
`void` `setEventType(UserEventEntry.Type type)` Sets the type category of this entry.
`void` `setRating(Rating rating)` Sets the gd:rating tag.
`void` `setUsername(java.lang.String username)` Set the optional username.
`void` `setVideoId(java.lang.String videoId)` Sets the YouTube video ID of the video.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### UserEventEntry

    public UserEventEntry()

Method Detail

### getUserEventType

    public UserEventEntry.Type getUserEventType()

  Returns the type of the user event, if it is of a known type.

  Returns:
    user event type or null if it is of an unknown type

### setEventType

    public void setEventType(UserEventEntry.Type type)

  Sets the type category of this entry. If a type category already exists, it will be removed.

  Parameters:
    `type` - new user event type or `null`

### getVideoId

    public java.lang.String getVideoId()

  Gets the YouTube ID of the video.

### setVideoId

    public void setVideoId(java.lang.String videoId)

  Sets the YouTube video ID of the video.

### getUsername

    public java.lang.String getUsername()

  Get the value of the optional username

  Returns:
    the username

### setUsername

    public void setUsername(java.lang.String username)

  Set the optional username.

  Parameters:
    `username` - content of the yt:username tag

### getRating

    public Rating getRating()

  Gets the gd:rating tag.

### setRating

    public void setRating(Rating rating)

  Sets the gd:rating tag.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares the `ExtensionDescription` of each `Extension` expected by the implementing `ExtensionPoint` in the target profile.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`